#!/usr/bin/bash

commit="git rev-parse --short HEAD"
bold=$(tput bold)
normal=$(tput sgr0)

echo "--------------------------"
echo "${bold}Installing CatAsk (commit ${commit})...${normal}"
echo "--------------------------"
echo 'Creating & activating virtual environment...'
python3 -m venv venv && . venv/bin/activate
echo 'Installing required packages...'
pip install -r requirements.txt
cp .env.example .env; cp config.example.json config.json
read -n 1 -s -r -p "Press any key to open main config file"
nano config.json
read -n 1 -s -r -p "Press any key to open .env config file"
nano .env
